package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;

import org.junit.Test;

import agilpizza.modelo.Ingrediente;

public class IngredienteTest {

	@Test
	public void testeIngredientePossuiNome() throws Exception {

		String nomeDeQueijo = "Queijo Branco";
		Ingrediente ingr = new Ingrediente(nomeDeQueijo);
		assertEquals("Ingrediente deve ter nome especificado.", nomeDeQueijo,
				ingr.getNome());
	}
	
	@Test
	public void testeIngredientePossuiPreco() throws Exception {

		String nomeDeQueijo = "Queijo Branco";
		double valorDePreco = 10.5;
		
		Ingrediente ingr = new Ingrediente(nomeDeQueijo, valorDePreco);
		
		assertEquals("Ingrediente deve ter preço especificado.", valorDePreco,
				ingr.getPreco());
	}
}
